<?php
require_once ('system/func.php');
$title = 'Подарки';
require_once ('system/header.php');
auth(); // Закроем от гостей
echo'<div class="lent mlra w80">
<div class="bl-ttl"><div class="te"><div class="ttl">
		'.$title.'
		</div></div></div>';
if ($db->query("SELECT * FROM `users` WHERE `id`='".num($_GET['id2'])."'")->num_rows){
	$acc=$db->query("SELECT * FROM `users` WHERE `id`='".num($_GET['id2'])."'")->fetch_assoc();
}else{
	header('Location: /main');
	exit;
}

switch($_GET[mod]){
default:
$set['p_str']=10;
$k_post=$db->query("SELECT * FROM `porarky` ")->num_rows;
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

$res = $db->query("select * from `porarky` ORDER BY id DESC LIMIT $start,$set[p_str]"); 

$avto = $res->num_rows;
if($avto>=1){
While($post = $res->fetch_assoc())
{


echo'<a class="btn-blue" href="/gift?mod=yes&id='.$post['id'].'&id2='.$acc['id'].'"><img src="'.$post['url'].'" alt="*"/>';
echo "Стоимость: $post[prise] ".ico('icons','gold.png')."<br>";
echo"".ico('icons','ok.png')." Подарить подарок $acc[login]</a>";

}

echo'<div class="block">';
str('?',$k_page,$page); // Вывод страниц

echo ' </div>';
}else{
echo'<div class="block">';
echo"<img src=\"images/icons/city.png\"> Нет подарков!";
}
echo ' </div></div>';
echo'<a href="/profile/'.$acc[id].'" class="link">'.ico('icons','arrow.png').' Вернуться к '.$acc[login].'</a>';

break;
case 'yes':
echo'<div class="block">';
$req = $db->query("SELECT * FROM `porarky` WHERE `id` = '".num($_GET['id'])."'");
////////////////////////////
$avto=$req->num_rows;
if($avto=="0"){
header ("Location: /gift");
exit;
}


$res = $db->query("select * from `porarky` where `id`='".num($_GET['id'])."' "); 
while ($post = $res->fetch_assoc()){
if ($post[prise]>$user[gold]){
echo"<img src='/images/icons/city.png' alt='*'/> У вас мало золота.</div></div>";
require_once ('system/footer.php');
exit;
}
}

if ($db->query("SELECT * FROM `porarky` WHERE `id`='".num($_GET['id'])."'")->num_rows){
	$acc=$db->query("SELECT * FROM `porarky` WHERE `id`='".num($_GET['id'])."'")->fetch_assoc();
}else{
	header('Location: /main?');
	exit;
}

if ($db->query("SELECT * FROM `users` WHERE `id`='".num($_GET['id2'])."'")->num_rows){
	$accs=$db->query("SELECT * FROM `users` WHERE `id`='".num($_GET['id2'])."'")->fetch_assoc();
}else{
	header('Location: /main?');
	exit;
}


if(empty($_POST[name]) or empty($_POST[text])){
echo "<form action=\"/gift?mod=yes&id=".$acc['id']."&id2=".$accs['id']."\" method=\"post\">";
echo"Кому:<br/>
<input class='input' type=\"text\" value=\"$accs[login]\" size=\"16\" name=\"name\"/><br/>";

echo "Поздравление:<br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"text\" maxlength=\"100\"/><br/>";
echo '<input class="btn" type="submit" value="Подарить" /></form></div></div>';
echo'<a href="/profile/'.$accs[id].'" class="link">'.ico('icons','arrow.png').' Вернуться к '.$accs[login].'</a>';
}else{
$name=text($_POST[name]);
$text=text($_POST[text]);

if(mb_strlen($text) < 3)
{
header ("Location: /gift?mod=yes&id=".$acc['id']."&id2=".$accs['id']."");
exit();
}

$req = $db->query("SELECT * FROM `users` WHERE `login` = '".$name."'");
////////////////////////////
$avto=$req->num_rows;
$inv = $req->fetch_assoc();
if($avto=="0"){
echo"<img src='/images/icons/city.png' alt='*'/> Нет такого персонажа!</div></div>";
require_once ('system/footer.php');
exit;
}


$log=$user['login'];
if($name==$log){
echo"<img src='/images/icons/city.png' alt='*'/> Себе дарить подарки нельзя!</div></div>";
require_once ('system/footer.php');
exit;
}

$res = $db->query("select * from `porarky` where `id`='".num($_GET['id'])."' "); 
$inv = $res->fetch_assoc();

$db->query("UPDATE `users` SET `gold`= `gold`- '".$inv['prise']."' WHERE `id`='".$user['id']."'");
$times = date("H:i d.m.y");
$db->query("INSERT INTO `podarok_ok` SET `nick` = '".$user['id']."', `usr` = '".$accs['id']."', `times` ='".$times."', `coment` ='".$text."', `podarok` ='".$inv['url']."' ");   
echo ico('icons','ok.png')." Вы успешно подарили персонажу <b>".$name."</b> подарок!</div></div>";

$n2='Персонаж '.$user[login].' подарил вам подарок!';
$db->query("INSERT INTO `mail` SET `in` = '3', `out` = '".$accs['id']."', `text` = '".$n2."' , `time` = '".time()."'");
$kont = $db->query("SELECT * FROM `kont` WHERE `id_user` = '3' && `id_kont` = '".$accs['id']."' LIMIT 1")->fetch_assoc();
if($kont['id_kont'] != $accs['id']){
$db->query("INSERT INTO `kont` SET `id_user` = '".$accs['id']."', `id_kont` = '3', `time` = '".time()."'");
$db->query("INSERT INTO `kont` SET `id_user` = '3', `id_kont` = '".$accs['id']."', `time` = '".time()."'");
}else{
$db->query("update `kont` set `time` = '".time()."' WHERE `id_user` = '3' && `id_kont` = '".$accs['id']."'");
$db->query("update `kont` set `time` = '".time()."' WHERE `id_user` = '".$accs['id']."' && `id_kont` = '3'");
}
$db->query("INSERT INTO `mail`(`user`,`msg`,`time`,`to`,`read`) VALUES('3','$n2','".time()."','".num($accs['id'])."','0')");
echo'<a href="/profile/'.$accs[id].'" class="link">'.ico('icons','arrow.png').' Вернуться к '.$accs[login].'</a>';
}
}

require_once ('system/footer.php');
?>